%define upstream_name    Unicode-LineBreak
%define upstream_version 2011.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Epoch:      1

Summary:    UAX #14 Unicode Line Breaking Algorithm
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Unicode/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode) >= 1.980.0
BuildRequires: perl(MIME::Charset) >= 1.6.2
BuildRequires: perl(Test::More) >= 0.450.0
BuildRequires: perl-devel
%description
Text::LineFold folds or unfolds lines of plain text. As it mainly focuses
on plain text e-mail messages, RFC 3676 flowed format is also supported.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc ARTISTIC Changes GPL META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Apr 04 2011 jquelin <jquelin> 1:2011.40.0-1.mga1
+ Revision: 80392
- update to 2011.04

* Thu Mar 24 2011 jquelin <jquelin> 1:2011.3.21-1.mga1
+ Revision: 76672
- update to 2011.03.21

* Thu Mar 10 2011 jquelin <jquelin> 1:2011.3.5-1.mga1
+ Revision: 67438
- bump epoch - damned upstream version
- update to 2011.03.05

* Wed Feb 16 2011 jquelin <jquelin> 2011.10.0-1.mga1
+ Revision: 52374
- update to 2011.01

* Sat Jan 22 2011 jquelin <jquelin> 1.11.0-1.mga1
+ Revision: 32533
- mageia rebuild
- imported package perl-Unicode-LineBreak


* Sun Jan 02 2011 Guillaume Rousse <guillomovitch@mandriva.org> 1.11.0-1mdv2011.0
+ Revision: 627503
- update to new version 1.011

* Fri Dec 31 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.10.0-2mdv2011.0
+ Revision: 626855
- english summary

* Fri Dec 31 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.10.0-1mdv2011.0
+ Revision: 626837
- update to new version 1.010

* Tue Nov 16 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.8.2-1mdv2011.0
+ Revision: 598107
- new version

* Sat Oct 02 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.7.520-1mdv2011.0
+ Revision: 582572
- import perl-Unicode-LineBreak

